ADTOOL(1)

NAME
ADTOOL - Command-line utility for the Addresses framework

SYNOPSIS
adtool [options] command [parameters]

DESCRIPTION

adtool is a command-line utility for the Addresses framework for manipulating the address book.

OPTIONS

-l  turn on localization of property names

-h  turn off printing of header

PERSON MANAGEMENT COMMANDS

people
    Show all people (ID and name)

showperson {PERSONID|me}
    Show a person's complete record

setme PERSONID
    Mark the given person as the 'me' record

exportimage PERSONID FILENAME
    Export a person's image

importimage PERSONID FILENAME
    Export a person's image

GROUP MANAGEMENT COMMANDS

groups
    Show toplevel groups

members GROUPID
    Display the members of the given group

addmember GROUPID PERSONID
    Add a person to a group

delmember GROUPID PERSONID
    Remove a person from a group

subgroups SUPERGROUPID
    Show a group's subgroups

addgroup [SUPERGROUPID] NAME
    Add a group to toplevel or the given supergroup

delgroup [SUPERGROUPID] GROUPID
    Remove a group from toplevel or the given supergroup

parentgroups {GROUPID|PERSONID}
    Show a record's parent group(s)

GENERAL COMMANDS

tree
    Show a tree view of all members and groups

config
    Show the current address book configuration

import FILE [FILE ...]
    Merge file(s) with the database. Supported file types: vcf, mfaddr

SEE ALSO
http://giesler.biz/bjoern/English/Software.html
http://www.gnustep.org/

AUTHOR
Addresses for GNUstep was written by Bjoern Giesler.

This manual page was written by Hubert Chan for the Debian project (but may be used by others).